DataElement Categories accept blank dimensiontype

Bug #1574108 reported by Timothy Harding on 2016-04-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
Medium
Lars Helge Øverland

Bug Description

Version 2.22.22006

When creating a data element category, if you do not select a data dimension type, it will get locked as nothing and using it as a dimension in analysis apps will show blank values. Will provide photos as a reply to this message.

These were created with the GUI

Here is the table:

[image: Inline image 1]

If I alter Sex (one of the blank ones) to say DISAGGREGATION I can use it
in the pivot tables
[image: Inline image 2]

but the other is still busted

[image: Inline image 3]

*Timothy Harding*
Sr. Systems Analyst, BAO Systems
+1 202-536-1541 | <email address hidden> | http://www.baosystems.com | Skype:
<email address hidden> | 2900 K Street, Suite 404, Washington D.C. 20007

On Sat, Apr 23, 2016 at 1:14 PM, Timothy Harding <email address hidden>
wrote:

> Public bug reported:
>
> Version 2.22.22006
>
> When creating a data element category, if you do not select a data
> dimension type, it will get locked as nothing and using it as a
> dimension in analysis apps will show blank values. Will provide photos
> as a reply to this message.
>
> ** Affects: dhis2
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of DHIS 2
> developers, which is subscribed to DHIS.
> https://bugs.launchpad.net/bugs/1574108
>
> Title:
> DataElement Categories accept blank dimensiontype
>
> Status in DHIS:
> New
>
> Bug description:
> Version 2.22.22006
>
> When creating a data element category, if you do not select a data
> dimension type, it will get locked as nothing and using it as a
> dimension in analysis apps will show blank values. Will provide photos
> as a reply to this message.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1574108/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~dhis2-devs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~dhis2-devs
> More help : https://help.launchpad.net/ListHelp
>

Timothy Harding (tharding-8) wrote :

Just ran into this one again at a training, it looks like it has been fixed
in 2.23 though! (Awesome!) Any chance on something similar for 2.22, or is
the suggestion to move to 2.23?

2.23:
[image: Inline image 2]

[image: Inline image 1]

vs 2.22:
[image: Inline image 3]

This affects both the Category creation and the CatCombo creation

*Timothy Harding*
Sr. Systems Analyst, BAO Systems
+1 202-536-1541 | <email address hidden> | http://www.baosystems.com | Skype:
<email address hidden> | 2900 K Street, Suite 404, Washington D.C. 20007

On Sat, Apr 23, 2016 at 1:41 PM, Timothy Harding <email address hidden>
wrote:

> These were created with the GUI
>
> Here is the table:
>
> [image: Inline image 1]
>
> If I alter Sex (one of the blank ones) to say DISAGGREGATION I can use it
> in the pivot tables
> [image: Inline image 2]
>
> but the other is still busted
>
> [image: Inline image 3]
>
>
>
>
>
> *Timothy Harding*
> Sr. Systems Analyst, BAO Systems
> +1 202-536-1541 | <email address hidden> | http://www.baosystems.com | Skype:
> <email address hidden> | 2900 K Street, Suite 404, Washington D.C. 20007
>
> On Sat, Apr 23, 2016 at 1:14 PM, Timothy Harding <email address hidden>
> wrote:
>
>> Public bug reported:
>>
>> Version 2.22.22006
>>
>> When creating a data element category, if you do not select a data
>> dimension type, it will get locked as nothing and using it as a
>> dimension in analysis apps will show blank values. Will provide photos
>> as a reply to this message.
>>
>> ** Affects: dhis2
>> Importance: Undecided
>> Status: New
>>
>> --
>> You received this bug notification because you are a member of DHIS 2
>> developers, which is subscribed to DHIS.
>> https://bugs.launchpad.net/bugs/1574108
>>
>> Title:
>> DataElement Categories accept blank dimensiontype
>>
>> Status in DHIS:
>> New
>>
>> Bug description:
>> Version 2.22.22006
>>
>> When creating a data element category, if you do not select a data
>> dimension type, it will get locked as nothing and using it as a
>> dimension in analysis apps will show blank values. Will provide photos
>> as a reply to this message.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/dhis2/+bug/1574108/+subscriptions
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~dhis2-devs
>> Post to : <email address hidden>
>> Unsubscribe : https://launchpad.net/~dhis2-devs
>> More help : https://help.launchpad.net/ListHelp
>>
>
>

Download full text (3.3 KiB)

Hi Tim,

yes we did fix this for 2.23 in time for release.

Unfortunately the code base here has deviated so we will not prioritize
fixing for 2.22, you will have to select it explicitly for now. Sorry about
that.

Thanks for reporting.

regards,

Lars

On Thu, Apr 28, 2016 at 2:37 PM, Timothy Harding <email address hidden>
wrote:

> Just ran into this one again at a training, it looks like it has been
> fixed in 2.23 though! (Awesome!) Any chance on something similar for 2.22,
> or is the suggestion to move to 2.23?
>
> 2.23:
> [image: Inline image 2]
>
> [image: Inline image 1]
>
> vs 2.22:
> [image: Inline image 3]
>
> This affects both the Category creation and the CatCombo creation
>
>
>
>
> *Timothy Harding*
> Sr. Systems Analyst, BAO Systems
> +1 202-536-1541 | <email address hidden> | http://www.baosystems.com | Skype:
> <email address hidden> | 2900 K Street, Suite 404, Washington D.C. 20007
>
> On Sat, Apr 23, 2016 at 1:41 PM, Timothy Harding <email address hidden>
> wrote:
>
>> These were created with the GUI
>>
>> Here is the table:
>>
>> [image: Inline image 1]
>>
>> If I alter Sex (one of the blank ones) to say DISAGGREGATION I can use it
>> in the pivot tables
>> [image: Inline image 2]
>>
>> but the other is still busted
>>
>> [image: Inline image 3]
>>
>>
>>
>>
>>
>> *Timothy Harding*
>> Sr. Systems Analyst, BAO Systems
>> +1 202-536-1541 | <email address hidden> | http://www.baosystems.com | Skype:
>> <email address hidden> | 2900 K Street, Suite 404, Washington D.C. 20007
>>
>> On Sat, Apr 23, 2016 at 1:14 PM, Timothy Harding <<email address hidden>
>> > wrote:
>>
>>> Public bug reported:
>>>
>>> Version 2.22.22006
>>>
>>> When creating a data element category, if you do not select a data
>>> dimension type, it will get locked as nothing and using it as a
>>> dimension in analysis apps will show blank values. Will provide photos
>>> as a reply to this message.
>>>
>>> ** Affects: dhis2
>>> Importance: Undecided
>>> Status: New
>>>
>>> --
>>> You received this bug notification because you are a member of DHIS 2
>>> developers, which is subscribed to DHIS.
>>> https://bugs.launchpad.net/bugs/1574108
>>>
>>> Title:
>>> DataElement Categories accept blank dimensiontype
>>>
>>> Status in DHIS:
>>> New
>>>
>>> Bug description:
>>> Version 2.22.22006
>>>
>>> When creating a data element category, if you do not select a data
>>> dimension type, it will get locked as nothing and using it as a
>>> dimension in analysis apps will show blank values. Will provide photos
>>> as a reply to this message.
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/dhis2/+bug/1574108/+subscriptions
>>>
>>> _______________________________________________
>>> Mailing list: https://launchpad.net/~dhis2-devs
>>> Post to : <email address hidden>
>>> Unsubscribe : https://launchpad.net/~dhis2-devs
>>> More help : https://help.launchpad.net/ListHelp
>>>
>>
>>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~dhis2-devs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~dhis2-devs
> More help : https://he...

Read more...

Changed in dhis2:
milestone: none → 2.23
assignee: nobody → Lars Helge Øverland (larshelge)
importance: Undecided → Medium
status: New → Fix Committed
To post a comment you must log in.